Qt 5.8 | Qt 3D | QML Types | ComputeCommand QML Type

Qt 5.8.0 Reference Documentation

# ComputeCommand QML Type

Component to issue work for the compute shader on GPU More...

Import Statement: | import
Since: | Qt 5.7
Instantiates: | QComputeCommand
Inherits: | Component3D

- List of all members, including inherited members

## Properties

- workGroupX : int
- workGroupY : int
- workGroupZ : int

## Detailed Description

A ComputeCommand is used to issue work for the compute shader. The compute shader is specified in the Material component of the same entity the ComputeCommand is added to. The workGroupX, workGroupY and workGroupZ properties specify the work group sizes for the compute shader invocation. DispatchCompute node needs to be present in the FrameGraph to actually issue the commands.

## Property Documentation

workGroupX : int

Specifies X workgroup size.

workGroupY : int

Specifies Y workgroup size.

workGroupZ : int

Specifies Z workgroup size.